/* Log Messages */
function log(msg) {
  var log = document.querySelector('section#log>ol');
  var newItem = document.createElement('li');
  var now = new Date();
  newItem.innerHTML = now.toLocaleTimeString() + 
    ': <em>' + msg + '</em>';
  log.appendChild(newItem);
}

/* Remove item from list */
function removeFromList(e) {
  log('Item Removed');
}

/* Add product to list */
function addToList(product) {
  product = product.trim();

  var activeList = document.getElementById('active-items-list');
  var newItem = document.createElement('li');
  newItem.title = product;
  newItem.innerHTML = product;
  activeList.appendChild(newItem);
  log(product + ' added.');
}

function init() {
  log('Page Loaded');
  var btnListAdd = document.getElementsByClassName('btn-add');
  var btnAddNewItem = document.getElementById('add-new-item');
  var newItem = document.getElementById('new-item');
  newItem.focus();

  /* Add event listeners to all common list Add buttons */
  for (btn of btnListAdd) {
    btn.addEventListener('click', function(e) {
      var button = e.currentTarget;
      var product = button.name;
      addToList(product);
    });
  }

  /* Add event listener to New Item Add button */
  btnAddNewItem.addEventListener('click', function() {
    addToList(newItem.value);
    newItem.value='';
    newItem.focus();
  });

  /* 
    Add event listener capturing Enter press while
    focus is on New Item field 
  */
  newItem.addEventListener('keypress', function(e) {
    if (e.key === 'Enter') {
      addToList(newItem.value);
      newItem.value='';
      newItem.focus();
    }
  });
}

window.addEventListener("load", init);